import { createComponent, } from "@lit/react";
import * as React from "react";
import { BottomSheetClosedEvent, BottomSheetClosingEvent, BottomSheet as BottomSheetElement, BottomSheetHideEvent, BottomSheetOpenedEvent, BottomSheetOpeningEvent, BottomSheetShowEvent, BottomSheetSlots, BottomSheetSnappedEvent, registerBottomSheet, } from "@tapsioss/web-components";
registerBottomSheet();
export const BottomSheet = createComponent({
    tagName: "tapsi-bottom-sheet",
    elementClass: BottomSheetElement,
    react: React,
    events: {
        onSnapped: "snapped",
        onOpening: "opening",
        onClosing: "closing",
        onOpened: "opened",
        onClosed: "closed",
        onHide: "hide",
        onShow: "show",
    },
});
export { BottomSheetClosedEvent, BottomSheetClosingEvent, BottomSheetElement, BottomSheetHideEvent, BottomSheetOpenedEvent, BottomSheetOpeningEvent, BottomSheetShowEvent, BottomSheetSlots, BottomSheetSnappedEvent, };
